repo/proj/guru:dev commit in: dev-python/stone/
"Viorel Munteanu" <[email protected]>
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1786107690.c0981f4331efe59a2829db3c01563f60100d8858.ceamac@gentoo> |
commit: c0981f4331efe59a2829db3c01563f60100d8858
Author: Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 7 12:28:35 2026 +0000
Commit: Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
CommitDate: Fri Aug 7 13:01:30 2026 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=c0981f43
dev-python/stone: add 3.5.4
Signed-off-by: Viorel Munteanu <ceamac <AT> gentoo.org>
dev-python/stone/Manifest | 1 +
dev-python/stone/stone-3.5.4.ebuild | 46 +++++++++++++++++++++++++++++++++++++
2 files changed, 47 insertions(+)
diff --git a/dev-python/stone/Manifest b/dev-python/stone/Manifest
index 6e8182aeff..2ba10611b4 100644
--- a/dev-python/stone/Manifest
+++ b/dev-python/stone/Manifest
@@ -1,2 +1,3 @@
DIST stone-3.5.0.gh.tar.gz 289745 BLAKE2B cbc1b2fb37b097ac8e6e9167a973b376377912e3a69ccc1a05c2e686d61c15212d767614cce1167535717ee4530b2013a2f13dbc86af3ca23150c7e8ac6497f0 SHA512 f595308e0bb11e5a27d9c8652db13b9a0f1f3646b9a54ff48b1e39a4041c88f0a41a2eae4437c31f7c9ae7a31e3634aa41da0b4b4c3ed7caa90dbf852efe3071
DIST stone-3.5.3.gh.tar.gz 329020 BLAKE2B 1e4d677a05f8a5e69f4320938b7af554ba60736d80f359b62b1a658d008dc46bebbd7d32bd23d3b692393b7ed7d5239e68bdaa9139707b2d7865f89b89fee05e SHA512 2e7220b91a3416459b0de64fd1345a18d022e96b7009e51cea0e875909401110ffd9086f8bca809c798cc2bedc190fa154ac1cece1c328a2e60b731af3ba8f9e
+DIST stone-3.5.4.gh.tar.gz 329267 BLAKE2B 96f3e4f655459c05b1b3f757b01d3863e4deb439d3a36ab8bcceed75c3c01f88c0ef919fd700c88b048376928e09a3eddf42ae1bd03d7b1283a3318c376a5b76 SHA512 6a448e9a151b7ea00eef1613109516120790a9a723b2053efdc006803b49abb9b1bf326c8ef208c68f05eebe88b2cb41ab8b027a3041adfd3f9be2a8d4d1a1b6
diff --git a/dev-python/stone/stone-3.5.4.ebuild b/dev-python/stone/stone-3.5.4.ebuild
new file mode 100644
index 0000000000..62e3454096
--- /dev/null
+++ b/dev-python/stone/stone-3.5.4.ebuild
@@ -0,0 +1,46 @@
+# Copyright 2021-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{12..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="The Official Api Spec Language for Dropbox"
+HOMEPAGE="
+ https://www.dropbox.com/developers
+ https://github.com/dropbox/stone
+ https://pypi.org/project/stone/
+"
+SRC_URI="https://github.com/dropbox/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/jinja2[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/ply[${PYTHON_USEDEP}]
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-3.5.3-unvendor-ply.patch
+)
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+src_prepare() {
+ default
+
+ # Unvendor ply
+ rm -r stone/_vendor || die
+ rm test/test_vendored_ply.py || die
+ rm test/test_version.py || die
+}